%define module_name App-vl
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Capture/Tiny.pm) perl(Getopt/Long.pm) perl(IO/Pager.pm) perl(Module/Build.pm) perl(Module/Build/Pluggable.pm) perl(Module/Build/Pluggable/CPANfile.pm) perl(Pod/Usage.pm) perl(Test/More.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: Makes CUI table vertical
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BA/BAYASHI/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
App::vl makes typical CUI table vertical.

For example,

    $ kubectl get pods
    NAME                         READY     STATUS    RESTARTS   AGE
    hello-web-4017757401-ntgdb   1/1       Running   0          9s
    hello-web-4017757401-pc4j9   1/1       Running   0          9s

Be vertical by the vl manpage

    $ kubectl get pods | vl
    ********** 1 ********************
        NAME: hello-web-4017757401-ntgdb
       READY: 1/1
      STATUS: Running
    RESTARTS: 0
         AGE: 9s
    ********** 2 ********************
        NAME: hello-web-4017757401-pc4j9
       READY: 1/1
      STATUS: Running
    RESTARTS: 0
         AGE: 9s

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README.pod Changes
%perl_vendor_privlib/A*
%_man1dir/*
%_bindir/*

%changelog
* Tue Oct 30 2018 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- regenerated from template by package builder

* Tue Oct 02 2018 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

